msgpack::vrefbuffer Class Reference

`#include <vrefbuffer.hpp>`

## Public Member Functions

| vrefbuffer (size_t ref_size=MSGPACK_VREFBUFFER_REF_SIZE, size_t chunk_size=MSGPACK_VREFBUFFER_CHUNK_SIZE)
| ~vrefbuffer ()
void | write (const char *buf, size_t len)
void | append_ref (const char *buf, size_t len)
void | append_copy (const char *buf, size_t len)
const struct iovec * | vector () const
size_t | vector_size () const
void | migrate (vrefbuffer *to)
void | clear ()
| vrefbuffer (const vrefbuffer &)=delete
vrefbuffer & | operator= (const vrefbuffer &)=delete

## Constructor & Destructor Documentation

## vrefbuffer() [1/2]

msgpack::vrefbuffer::vrefbuffer | ( | size_t | ref_size = `MSGPACK_VREFBUFFER_REF_SIZE`,
|  | size_t | chunk_size = `MSGPACK_VREFBUFFER_CHUNK_SIZE`
| ) |  |

inline

References MSGPACK_NULLPTR.

## ~vrefbuffer()

msgpack::vrefbuffer::~vrefbuffer | ( |  | ) |

inline

## vrefbuffer() [2/2]

msgpack::vrefbuffer::vrefbuffer | ( | const vrefbuffer & |  | ) |

delete

## Member Function Documentation

## append_copy()

void msgpack::vrefbuffer::append_copy | ( | const char * | buf,
|  | size_t | len
| ) |  |

inline

References iovec::iov_base, and iovec::iov_len.

## append_ref()

void msgpack::vrefbuffer::append_ref | ( | const char * | buf,
|  | size_t | len
| ) |  |

inline

References iovec::iov_base.

## clear()

void msgpack::vrefbuffer::clear | ( |  | ) |

inline

References MSGPACK_NULLPTR.

## migrate()

void msgpack::vrefbuffer::migrate | ( | vrefbuffer * | to | ) |

inline

References MSGPACK_NULLPTR.

## operator=()

vrefbuffer& msgpack::vrefbuffer::operator= | ( | const vrefbuffer & |  | ) |

delete

## vector()

const struct iovec* msgpack::vrefbuffer::vector | ( |  | ) | const

inline

## vector_size()

size_t msgpack::vrefbuffer::vector_size | ( |  | ) | const

inline

## write()

void msgpack::vrefbuffer::write | ( | const char * | buf,
|  | size_t | len
| ) |  |

inline

The documentation for this class was generated from the following file:

- /build/msgpack-c-kSv3lu/msgpack-c-3.0.1/include/msgpack/v1/vrefbuffer.hpp